<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count
namespace Telerik.Sitefinity.Translations.Model

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type CountProxy() = 
        member val TotalCount:Int32 = new Int32() with get,set

    type ProjectStatus =
        | NotStarted = 0
        | Started = 1
        | Completed = 2

    [<AllowNullLiteral>]
    type GetProjectsCount() = 
        member val Skip:Nullable<Int32> = new Nullable<Int32>() with get,set
        member val Take:Nullable<Int32> = new Nullable<Int32>() with get,set
        member val OrderExpression:String = null with get,set
        member val SearchText:String = null with get,set
        member val Service:String[] = null with get,set
        member val ProjectStatus:Nullable<ProjectStatus> = new Nullable<ProjectStatus>() with get,set
        member val ActualSourceLanguage:String = null with get,set
        member val WithoutSourceLanguage:Boolean = new Boolean() with get,set

F# GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0}